org.eclnt.jsfserver.util

## Class StyleManager.Style

- java.lang.Object
- - org.eclnt.jsfserver.util.StyleManager.Style

- Enclosing class:
    StyleManager

      public static class StyleManager.Style
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Style()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStyleValues(java.util.Map<java.lang.String,StyleManager.StyleValue> styleValues)`
    `java.lang.String` | `getExtends()`
    `java.lang.String` | `getStyleName()`
    `java.util.Map<java.lang.String,StyleManager.StyleValue>` | `getStyleValues()`
    `java.util.Map<java.lang.String,StyleManager.StyleVariant>` | `getVariants()`
    `void` | `outputXML(java.lang.StringBuffer sb)`
    `void` | `setExtends(java.lang.String value)`
    `void` | `setStyleName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Style

          public Style()

  - ### Method Detail

    - #### setStyleName

          public void setStyleName(java.lang.String value)

    - #### getStyleName

          public java.lang.String getStyleName()

    - #### setExtends

          public void setExtends(java.lang.String value)

    - #### getExtends

          public java.lang.String getExtends()

    - #### getVariants

          public java.util.Map<java.lang.String,StyleManager.StyleVariant> getVariants()

    - #### getStyleValues

          public java.util.Map<java.lang.String,StyleManager.StyleValue> getStyleValues()

    - #### outputXML

          public void outputXML(java.lang.StringBuffer sb)

    - #### addStyleValues

          public void addStyleValues(java.util.Map<java.lang.String,StyleManager.StyleValue> styleValues)

Copyright © CaptainCasa Gmbh. All Rights Reserved.